\newpage

\subsection{Service 1: Request Verification}

\begin{description}
\item[Objective]\hfill\\

Packets of this service are used to signal whether the TCs handled on-board are successfully accepted and executed. The use of this service is necessary to inform the ground of the result of the on-board handling of the TCs.\\
\newline
The \textit{Acknowledgment Flags} within the TC \textit{Packet Secondary Header} define which TMs will be sent to ground. TMs indicating the failure of acceptance or execution will be sent independently from the settings. TMs indicating the success of acceptance or execution will only be sent if specified in this field. TM(1,5) and TM(1,6) are not used, which implies that Bit 1 of the \textit{Acknowledgement Flags} is always \textbf{zero}.\\
\newline
The following checks have to be performed independently from the settings in the \textit{Acknow-ledgement Flags}. A successful completion of these checks indicates a successful acceptance of the TC.
\begin{itemize}
\item Check \textit{Packet Header} including \textit{Packet Version Number}, \textit{Packet Type}, \textit{Secondary Header Flag}, \textit{Sequence Flags} and \textit{Sequence Count}
\item Check \textit{Packet Secondary Header} including \textit{PUS Version Number}, \textit{Acknowledgement Flags} and \textit{Source ID}
\item Check received \textit{APID} including the check if the addressed process is alive
\item Check received \textit{Packet Length}
\item Check received \textit{Checksum}
\item Check \textit{Service Type} and \textit{Service Subtype}
\end{itemize}
The following checks have to be performed independently from the setting in the \textit{Acknowledgement Flags} but only after a successful completion of the checks above. A successful completion of these checks indicates a successful start of the execution of the TC.
\begin{itemize}
\item Check \textit{Application Data} including the validity of the data
\end{itemize}
The successful completion of the execution of a TC is checked internally and specifically for each received TC.

\begin{figure}[ht]
\centering
\includegraphics[width=\textwidth]{./Pics/Service1TMs.eps}
\caption{Order of TMs of Service 1}
\end{figure}
\newpage
\item[Service Summary]\hfill\\

	\begin{table}[h]
	\centering
		\begin{tabular}{p{0.1\textwidth}p{0.2\textwidth}p{0.6\textwidth}}
		\toprule
		\textbf{TM/TC} & \textbf{Service-Type, Service Subtype} & \textbf{Description}\\
		\midrule
		\rowcolor{TmHeader!20}TM & 1,1 & Acceptance Report Success\\
		\rowcolor{TmHeader!20}TM & 1,2 & Acceptance Report Failure\\
		\rowcolor{TmHeader!20}TM & 1,3 & Execution Start Success\\
		\rowcolor{TmHeader!20}TM & 1,4 & Execution Start Failure\\
		\rowcolor{TmHeader!20}TM & 1,7 & Execution Completion Success\\
		\rowcolor{TmHeader!20}TM & 1,8 & Execution Completion Failure\\
		\bottomrule
		\end{tabular}
		\caption{Service 1 Summary}
	\end{table}

\end{description}


% ------------------------------------------------------------------------------
% TM 1,1
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TM} & \textbf{1,1} & \textbf{Acceptance Report - Success}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TM informs the TC origin when the TC is successfully accepted by the addressed APID. It will only be generated, if selected via the acknowledgement field of the \textit{TC Packet Secondary Header} (Bit 3 must be set).
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 1 \\
		
		Service Subtype & 1 \\
		&\\
		Source Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|p{0.12\textwidth}|p{0.12\textwidth}|p{0.12\textwidth}|p{0.12\textwidth}|p{0.12\textwidth}|p{0.13\textwidth}|}
			\hline
			\multicolumn{6}{|c|}{\cellcolor{TmHeader!85} Request ID}\\
			\hline
			\cellcolor{TmHeader!85} & \multicolumn{3}{c|}{\cellcolor{TmHeader!85} Packet ID} & \multicolumn{2}{c|}{\cellcolor{TmHeader!85} Packet Sequence Control}\\
			\hhline{|>{\arrayrulecolor{TmHeader!85}}->{\arrayrulecolor{black}}|-----|}
			\rowcolor{TmHeader!85}
			\multirow{-2}{*}{\parbox{0.1\textwidth}{Packet Version Number}} & Packet Type & Secondary Header Flag & APID & Sequence Flags & Packet Sequence Count\\
			\hline
			\hline
			\rowcolor{TmBody}
			Enum & Enum & Boolean & Enum & Enum & Unsigned Integer\\
			\hline
			\rowcolor{TmBody}
			3 Bit & 1 Bit & 1 Bit & 11 Bit & 2 Bit & 14 Bit\\
			\hline
		\end{tabular}\\\vspace{10pt}
		Source Data TM(1,1)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{Request ID}\newline\begin{tabular}{p{1cm}p{1.2cm}p{1cm}}
			Version: &PTC=2 &PFC=3\\ Type: &PTC=2& PFC=1 \\ Flag:& PTC=1 &PFC=0\\ APID:& PTC=2 &PFC=11\\ Flags:& PTC=2 &PFC=2\\ Count:& PTC=3 &PFC=10\end{tabular} & Copy of the \textit{TC Primary Header} without the length field. Known values are:\newline \textit{Packet Version Number: '000'\newline Packet Type: '1'\newline Secondary Header Flag: 0 - No Secondary Header present, 1 - Secondary Header present\newline APID: value is variable\newline Sequence Flags: '11'\newline Packet Sequence Count: value is variable}\\
	\end{longtable}
	\addtocounter{table}{-1}
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TM 1,2
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TM} & \textbf{1,2} & \textbf{Acceptance Report - Failure}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TM informs the TC origin when the acceptance of the TC failed. Its generation is not dependent from the setting in the acknowledgement field of the \textit{TC Packet Secondary Header}. TM(1,2) will always be generated when a structural error is detected in the received TC.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 1 \\
		
		Service Subtype & 2 \\
		&\\
		Source Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|p{0.1\textwidth}|p{0.07\textwidth}|p{0.1\textwidth}|p{0.08\textwidth}|p{0.1\textwidth}|p{0.142\textwidth}|p{0.08\textwidth}|p{0.12\textwidth}|}
			\hline
			\multicolumn{6}{|c|}{\cellcolor{TmHeader!85} Request ID} & \multicolumn{2}{c|}{\cellcolor{TmHeader!85} Failure Notice}\\
			\hline
			\cellcolor{TmHeader!85} & \multicolumn{3}{c|}{\cellcolor{TmHeader!85} Packet ID} & \multicolumn{2}{c|}{\cellcolor{TmHeader!85} Packet Sequence Control} & \cellcolor{TmHeader!85} & \cellcolor{TmHeader!85}\\
			\hhline{|>{\arrayrulecolor{TmHeader!85}}->{\arrayrulecolor{black}}|-----|>{\arrayrulecolor{TmHeader!85}}->{\arrayrulecolor{black}}|>{\arrayrulecolor{TmHeader!85}}->{\arrayrulecolor{black}}|}
			\rowcolor{TmHeader!85}
			\multirow{2}{*}{\cellcolor{TmHeader!85} \parbox{0.1\textwidth}{Packet Version Number}} & Packet Type & Secondary Header Flag & APID & Sequence Flags & Packet\newline Sequence Count & \multirow{2}{*}{\cellcolor{TmHeader!85} \parbox{0.1\textwidth}{Code}} & \multirow{2}{*}{\cellcolor{TmHeader!85} \parbox{0.1\textwidth}{Data}}\\
			\hline
			\hline
			\rowcolor{TmBody}
			Enum & Enum & Boolean & Enum & Enum & Unsigned\newline Integer & Enum & Deduced\\
			\hline
			\rowcolor{TmBody}
			3 Bit & 1 Bit & 1 Bit & 11 Bit & 2 Bit & 14 Bit & 4 Bit & $4+n\cdot8$ Bit\\
			\hline
		\end{tabular}\\\vspace{10pt}
		Source Data TM(1,2)
	\end{table}
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{Request ID}\newline \begin{tabular}{p{1cm}p{1.2cm}p{1cm}}
			Version: &PTC=2 &PFC=3\\ Type: &PTC=2& PFC=1 \\ Flag:& PTC=1 &PFC=0\\ APID:& PTC=2 &PFC=11\\ Flags:& PTC=2 &PFC=2\\ Count:& PTC=3 &PFC=10\end{tabular} & Copy of the \textit{TC Primary Header} without the length field. Known values are:\newline \textit{Packet Version Number: '000'\newline Packet Type: '1'\newline Secondary Header Flag: 0 - No Secondary Header present, 1 - Secondary Header present\newline APID: value is variable\newline Sequence Flags: '11'\newline Packet Sequence Count: value is variable}\\
		& \\
		\textbf{Failure Notice}\newline \begin{tabular}{p{1cm}p{1.2cm}p{1cm}}
			Code:& PTC=2 &PFC=4\\ Data: &PTC=11& PFC=0 \end{tabular} & Identification of the specific error via the \textit{Error Code} and additional information with respect to the specific \textit{Error Code}. Possible values for the \textit{Error Code} field are: see \autoref{sec:ErrorCodes}.\newline The structure of the \textit{Failure Data} field is impli-citly identified through the Error Code (see \autoref{sec:ErrorCodes}). The size of the field is $4+n\cdot8\  Bit$.\\
	\end{longtable}
	\addtocounter{table}{-1}
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TM 1,3
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TM} & \textbf{1,3} & \textbf{Execution Start Report - Success}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TM informs the TC origin when the execution of the TC is successfully started by the addressed APID. It will only be generated, if selected via the acknowledgement field of the \textit{TC Packet Secondary Header} (Bit 2 must be set).
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 1 \\
		
		Service Subtype & 3 \\
		&\\
		Source Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|p{0.12\textwidth}|p{0.12\textwidth}|p{0.12\textwidth}|p{0.12\textwidth}|p{0.12\textwidth}|p{0.13\textwidth}|}
			\hline
			\multicolumn{6}{|c|}{\cellcolor{TmHeader!85} Request ID}\\
			\hline
			\cellcolor{TmHeader!85} & \multicolumn{3}{c|}{\cellcolor{TmHeader!85} Packet ID} & \multicolumn{2}{c|}{\cellcolor{TmHeader!85} Packet Sequence Control}\\
			\hhline{|>{\arrayrulecolor{TmHeader!85}}->{\arrayrulecolor{black}}|-----|}
			\rowcolor{TmHeader!85}
			\multirow{-2}{*}{\cellcolor{TmHeader!85} \parbox{0.1\textwidth}{Packet Version Number}} & Packet Type & Secondary Header Flag & APID & Sequence Flags & Packet Sequence Count\\
			\hline
			\hline
			\rowcolor{TmBody}
			Enum & Enum & Boolean & Enum & Enum & Unsigned Integer\\
			\hline
			\rowcolor{TmBody}
			3 Bit & 1 Bit & 1 Bit & 11 Bit & 2 Bit & 14 Bit\\
			\hline
		\end{tabular}\\\vspace{10pt}
		Source Data TM(1,3)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{Request ID}\newline\begin{tabular}{p{1cm}p{1.2cm}p{1cm}}
			Version: &PTC=2 &PFC=3\\ Type: &PTC=2& PFC=1 \\ Flag:& PTC=1 &PFC=0\\ APID:& PTC=2 &PFC=11\\ Flags:& PTC=2 &PFC=2\\ Count:& PTC=3 &PFC=10\end{tabular} & Copy of the \textit{TC Primary Header} without the length field. Known values are:\newline \textit{Packet Version Number: '000'\newline Packet Type: '1'\newline Secondary Header Flag: 0 - No Secondary Header present, 1 - Secondary Header present\newline APID: value is variable\newline Sequence Flags: '11'\newline Packet Sequence Count: value is variable}\\
	\end{longtable}
	\addtocounter{table}{-1}
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TM 1,4
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TM} & \textbf{1,4} & \textbf{Execution Start Report - Failure}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TM informs the TC origin when the execution start of the TC failed. Its generation is not dependent from the setting in the acknowledgement field of the \textit{TC Packet Secondary Header}. TM(1,4) will always be generated when the application data of the TC contains invalid data.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 1 \\
		
		Service Subtype & 4 \\
		&\\
		Source Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|p{0.1\textwidth}|p{0.07\textwidth}|p{0.1\textwidth}|p{0.08\textwidth}|p{0.1\textwidth}|p{0.142\textwidth}|p{0.08\textwidth}|p{0.12\textwidth}|}
			\hline
			\multicolumn{6}{|c|}{\cellcolor{TmHeader!85} Request ID} & \multicolumn{2}{c|}{\cellcolor{TmHeader!85} Failure Notice}\\
			\hline
			\cellcolor{TmHeader!85} & \multicolumn{3}{c|}{\cellcolor{TmHeader!85} Packet ID} & \multicolumn{2}{c|}{\cellcolor{TmHeader!85} Packet Sequence Control} & \cellcolor{TmHeader!85} & \cellcolor{TmHeader!85}\\
			\hhline{|>{\arrayrulecolor{TmHeader!85}}->{\arrayrulecolor{black}}|-----|>{\arrayrulecolor{TmHeader!85}}->{\arrayrulecolor{black}}|>{\arrayrulecolor{TmHeader!85}}->{\arrayrulecolor{black}}|}
			\rowcolor{TmHeader!85}
			\multirow{2}{*}{\cellcolor{TmHeader!85} \parbox{0.1\textwidth}{Packet Version Number}} & Packet Type & Secondary Header Flag & APID & Sequence Flags & Packet\newline Sequence Count & \multirow{2}{*}{\cellcolor{TmHeader!85} \parbox{0.1\textwidth}{Code}} & \multirow{2}{*}{\cellcolor{TmHeader!85} \parbox{0.1\textwidth}{Data}}\\
			\hline
			\hline
			\rowcolor{TmBody}
			Enum & Enum & Boolean & Enum & Enum & Unsigned\newline Integer & Enum & Deduced\\
			\hline
			\rowcolor{TmBody}
			3 Bit & 1 Bit & 1 Bit & 11 Bit & 2 Bit & 14 Bit & 4 Bit & $4+n\cdot8$ Bit\\
			\hline
		\end{tabular}\\\vspace{10pt}
		Source Data TM(1,4)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{Request ID}\newline\begin{tabular}{p{1cm}p{1.2cm}p{1cm}}
			Version: &PTC=2 &PFC=3\\ Type: &PTC=2& PFC=1 \\ Flag:& PTC=1 &PFC=0\\ APID:& PTC=2 &PFC=11\\ Flags:& PTC=2 &PFC=2\\ Count:& PTC=3 &PFC=10\end{tabular} & Copy of the \textbf{TC Primary Header} without the length field. Known values are:\newline \textit{Packet Version Number: '000'\newline Packet Type: '1'\newline Secondary Header Flag: 0 - No Secondary Header present, 1 - Secondary Header present\newline APID: value is variable\newline Sequence Flags: '11'\newline Packet Sequence Count: value is variable}\\
		& \\
		\textbf{Failure Notice}\newline \begin{tabular}{p{1cm}p{1.2cm}p{1cm}}
			Code:& PTC=2 &PFC=4\\ Data: &PTC=11& PFC=0 \end{tabular} & Identification of the specific error via the \textit{Error Code} and additional information with respect to the specific \textit{Error Code}. Possible values for the \textit{Error Code} field are: see \autoref{sec:ErrorCodes}.\newline The structure of the \textit{Failure Data} field is impli-citly identified through the Error Code (see \autoref{sec:ErrorCodes}). The size of the field is $4+n\cdot8\  Bit$.\\
	\end{longtable}
	\addtocounter{table}{-1}
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TM 1,7
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TM} & \textbf{1,7} & \textbf{Execution Completion Report - Success}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TM informs the TC origin when the execution of the TC is successfully completed by the addressed APID. It will only be generated, if selected via the acknowledgement field of the \textit{TC Packet Secondary Header} (Bit 0 must be set).
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 1 \\
		
		Service Subtype & 7 \\
		&\\
		Source Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|p{0.12\textwidth}|p{0.12\textwidth}|p{0.12\textwidth}|p{0.12\textwidth}|p{0.12\textwidth}|p{0.13\textwidth}|}
			\hline
			\multicolumn{6}{|c|}{\cellcolor{TmHeader!85} Request ID}\\
			\hline
			\cellcolor{TmHeader!85} & \multicolumn{3}{c|}{\cellcolor{TmHeader!85} Packet ID} & \multicolumn{2}{c|}{\cellcolor{TmHeader!85} Packet Sequence Control}\\
			\hhline{|>{\arrayrulecolor{TmHeader!85}}->{\arrayrulecolor{black}}|-----|}
			\rowcolor{TmHeader!85}
			\multirow{-2}{*}{\cellcolor{TmHeader!85} \parbox{0.1\textwidth}{Packet Version Number}} & Packet Type & Secondary Header Flag & APID & Sequence Flags & Packet Sequence Count\\
			\hline
			\hline
			\rowcolor{TmBody}
			Enum & Enum & Boolean & Enum & Enum & Unsigned Integer\\
			\hline
			\rowcolor{TmBody}
			3 Bit & 1 Bit & 1 Bit & 11 Bit & 2 Bit & 14 Bit\\
			\hline
		\end{tabular}\\\vspace{10pt}
		Source Data TM(1,7)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{Request ID}\newline \begin{tabular}{p{1cm}p{1.2cm}p{1cm}}
			Version: &PTC=2 &PFC=3\\ Type: &PTC=2& PFC=1 \\ Flag:& PTC=1 &PFC=0\\ APID:& PTC=2 &PFC=11\\ Flags:& PTC=2 &PFC=2\\ Count:& PTC=3 &PFC=10\end{tabular} & Copy of the \textit{TC Primary Header} without the length field. Known values are:\newline \textit{Packet Version Number: '000'\newline Packet Type: '1'\newline Secondary Header Flag: 0 - No Secondary Header present, 1 - Secondary Header present\newline APID: value is variable\newline Sequence Flags: '11'\newline Packet Sequence Count: value is variable}\\
	\end{longtable}
	\addtocounter{table}{-1}
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TM 1,8
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TM} & \textbf{1,8} & \textbf{Execution Completion Report - Failure}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TM informs the TC origin when the execution completion of the TC failed. Its generation is not dependent from the setting in the acknowledgement field of the \textit{TC Packet Secondary Header}. TM(1,8) will always be generated when an error occurs while execution of the TC.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 1 \\
		
		Service Subtype & 8 \\
		&\\
		Source Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|p{0.1\textwidth}|p{0.07\textwidth}|p{0.1\textwidth}|p{0.08\textwidth}|p{0.1\textwidth}|p{0.142\textwidth}|p{0.08\textwidth}|p{0.12\textwidth}|}
			\hline
			\multicolumn{6}{|c|}{\cellcolor{TmHeader!85} Request ID} & \multicolumn{2}{c|}{\cellcolor{TmHeader!85} Failure Notice}\\
			\hline
			\cellcolor{TmHeader!85} & \multicolumn{3}{c|}{\cellcolor{TmHeader!85} Packet ID} & \multicolumn{2}{c|}{\cellcolor{TmHeader!85} Packet Sequence Control} & \cellcolor{TmHeader!85} & \cellcolor{TmHeader!85}\\
			\hhline{|>{\arrayrulecolor{TmHeader!85}}->{\arrayrulecolor{black}}|-----|>{\arrayrulecolor{TmHeader!85}}->{\arrayrulecolor{black}}|>{\arrayrulecolor{TmHeader!85}}->{\arrayrulecolor{black}}|}
			\rowcolor{TmHeader!85}
			\multirow{2}{*}{\cellcolor{TmHeader!85} \parbox{0.1\textwidth}{Packet Version Number}} & Packet Type & Secondary Header Flag & APID & Sequence Flags & Packet\newline Sequence Count & \multirow{2}{*}{\cellcolor{TmHeader!85} \parbox{0.1\textwidth}{Code}} & \multirow{2}{*}{\cellcolor{TmHeader!85} \parbox{0.1\textwidth}{Data}}\\
			\hline
			\hline
			\rowcolor{TmBody}
			Enum & Enum & Boolean & Enum & Enum & Unsigned\newline Integer & Enum & Deduced\\
			\hline
			\rowcolor{TmBody}
			3 Bit & 1 Bit & 1 Bit & 11 Bit & 2 Bit & 14 Bit & 4 Bit & $4+n\cdot8$ Bit\\
			\hline
		\end{tabular}\\\vspace{10pt}
		Source Data TM(1,8)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{Request ID}\newline \begin{tabular}{p{1cm}p{1.2cm}p{1cm}}
			Version: &PTC=2 &PFC=3\\ Type: &PTC=2& PFC=1 \\ Flag:& PTC=1 &PFC=0\\ APID:& PTC=2 &PFC=11\\ Flags:& PTC=2 &PFC=2\\ Count:& PTC=3 &PFC=10\end{tabular} & Copy of the \textit{TC Primary Header} without the length field. Known values are:\newline \textit{Packet Version Number: '000'\newline Packet Type: '1'\newline Secondary Header Flag: 0 - No Secondary Header present, 1 - Secondary Header present\newline APID: value is variable\newline Sequence Flags: '11'\newline Packet Sequence Count: value is variable}\\
		& \\
		\textbf{Failure Notice}\newline \begin{tabular}{p{1cm}p{1.2cm}p{1cm}}
			Code:& PTC=2 &PFC=4\\ Data: &PTC=11& PFC=0 \end{tabular} & Identification of the specific error via the \textit{Error Code} and additional information with respect to the specific \textit{Error Code}. Possible values for the \textit{Error Code} field are: see \autoref{sec:ErrorCodes}.\newline The structure of the \textit{Failure Data} field is impli-citly identified through the Error Code (see \autoref{sec:ErrorCodes}). The size of the field is $4+n\cdot8\  Bit$.\\
	\end{longtable}
	\addtocounter{table}{-1}
\end{description}

\vfill


